Summary:	Free Thai TrueType fonts
Name:		fonts-ttf-thai
Version:	0.1
Release:	%mkrel 11
License:	Distributable
Group:		System/Fonts/True type

Source0:	fonts-ttf-thai-norasi.tar.bz2

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools

Obsoletes:	thai-ttf
Provides:	thai-ttf
Requires(post):		chkfontpath
Requires(postun):	chkfontpath
Requires(post): fontconfig
Requires(postun): fontconfig

%description
This Package provides Free Thai TrueType fonts.

%prep

%setup -q -c

%build

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/TTF/thai/
cp *.ttf %buildroot/%_datadir/fonts/TTF/thai/

(
cd %buildroot/%_datadir/fonts/TTF/thai/
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
)

%post
[ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -a %_datadir/fonts/TTF/thai
[ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/TTF/thai
   [ -x %_bindir/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc README
#
%dir %_datadir/fonts/TTF/
%dir %_datadir/fonts/TTF/thai/
%_datadir/fonts/TTF/thai/*



%changelog
* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 23:12:16 (52895)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 20:58:07 (52789)
- import fonts-ttf-thai-0.1-10mdk

* Wed Feb 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1-10mdk
- Don't package fontconfig cache file
- Fix prereq
- touch parent directory to workaround rpm changing directory last modification
  time (breaking fontconfig cache consistency detection)
- Remove dependency on freetype, this is old stuff

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1-9mdk
- rebuild
- prereq on chkfontpath

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-8mdk
- proper use of fc-cache

